c
c event header common
c
c i_event       event number
c lpat_1(i)     i=1,16   bits of pattern unit 1 
c lpat_2(i)     i=1,16   bits of pattern unit 2
c lpat_3(i)     i=1,16   bits of pattern unit 3 
c lpat_4(i)     i=1,16   bits of pattern unit 4
c i_trigcnt(i)  i=1,64   number of events in run that have each 
c                        of above pattern unit bits turned on. 
c mwpc_signal_hit_count     number of events with signal in ANY wire 
c                           of any beam chamber
c mwpc_signal_xhit_count(i) i=1-5 number of events with x-signal in mwpc #i
c mwpc_signal_yhit_count(i) i=1-5 number of events with y-signal in mwpc #i
c
c lpat_4(3)   random trigger
c lpat_1(15)  pi/e trigger
c
      integer i_event, evt_rnum
      logical lpat_1(16)
      logical lpat_2(16)
      logical lpat_3(16)
      logical lpat_4(16)
      integer ibittot
      parameter (ibittot=64)
      integer i_trigcnt(ibittot)
      integer mwpc_signal_hit_count
      integer mwpc_signal_xhit_count(5)
      integer mwpc_signal_yhit_count(5)
c
      common /sssevt/ i_event,evt_rnum,lpat_1,lpat_2,lpat_3,lpat_4,
     +                i_trigcnt,
     +                mwpc_signal_hit_count,
     +                mwpc_signal_xhit_count, mwpc_signal_yhit_count
c
