      subroutine hec_tdc_evt
c
c process the raw tdc time
c
      implicit none
c
      include'hec_par.inc'      !shared parameters
      include'hec_datacard.inc' !datacard values
      include'hec_runh.inc'     !run header values
      include'hec_tdc.inc'      !tdc values
c
      if (irunpd .lt. 6) return
c      
c convert from tdc to ns
c
      tdc_ns = tdc_raw * tdc_raw_to_ns
      if (run_mode .eq. 1) then
c
c October 1997 
c
        if (irunpd .eq. 6) then
          if (tdc_ns .gt. tdc_slice_shift) then
            tdc_ns = tdc_ns - 25.
          endif
c
c April 1998 and August 1998
c
        elseif (irunpd .eq. 7 .or. irunpd .eq. 8) then
          tdc_slice_shift = tdc_raw_to_ns*tdc_br_point
          if (tdc_raw .gt. tdc_br_point)
     +      tdc_ns = tdc_ns - 25.
          tdc_dubious = .false.
          if ((iabs(tdc_raw-tdc_br_point)) .le. tdc_guard_region)
     +      tdc_dubious = .true.
c
c correct for 6 second tdc change partway through period 7
c
          if (run_no .le. 7178) tdc_ns = tdc_ns - 6.0
c
c June 1999
c
        elseif (irunpd .ge. 9) then
          tdc_slice_shift = tdc_raw_to_ns*tdc_br_point
          if (tdc_raw .gt. tdc_br_point)
     +      tdc_ns = tdc_ns - 25.
          tdc_dubious = .false.
        endif
c
c online mode
c
      elseif (run_mode .eq. 2) then
        if (tdc_raw .gt. mon_break) then
          tdc_ns = tdc_ns - 25.
        endif
      endif
c      
      end

