      subroutine hec_online_hisbut(psbutton,zoombutton,gaussbutton,
     +                             zonebutton)
c
c routine to display and read clickable buttons on histograms
c
      implicit none
c
      integer i
      logical psbutton,zoombutton,gaussbutton,zonebutton
c
      integer icch, nbu, nbi, ich
      real x1,x2,y1,y2
      character*10 chtit
      character*10 chu(4),chi(1),chd(1),chv(1)
      data chu/'PS','ZOOM','Gauss','ZONE'/
      data chi/' '/
c
c initialize variables
c x1 and x2 define the range of the button menu on the x-axis 
c (eg. 0. 0.65 allows the menu to range from left edge to 65% 
c  of the way to the right edge)
c y1 and y2 do the same for the y-position of the menu
c nbu is the number of buttons in the menu
c
      icch = 0
      x1 = 0.0
      x2 = 0.65
      y1 = 0.95
      y2 = 1.0
      nbi=0
      nbu=4
      chtit = ' '
      psbutton = .false.
      zoombutton = .false.
      gaussbutton = .false.
      zonebutton = .false.
c
c display menu
c
      call igmenu(0,chtit,x1,x2,y1,y2,nbu,chu,nbi,chi,chd,chv,
     +ich,'T D')
c
c read menu. Try 5 times, if user has still not either chosen a 
c displayed button
c or clicked the right mouse button, exit anyway.
c
      do i = 1, 5
        call igmenu(0,chtit,x1,x2,y1,y2,nbu,chu,nbi,chi,chd,chv,
     +  ich,'T C')
c
c take action based on menu selection
c       
        if (ich .eq. -1) then 
          print *,' '
          print *,'Adding histogram to user_summary.ps'
          print *,' '
          psbutton = .true.
          zoombutton = .false.
          gaussbutton =.false.
          zonebutton = .false.
          return
        elseif (ich .eq. -2) then
          print *,' '
          print *,'Beginning zoom...'
          print *,' '
          psbutton = .false.
          zoombutton = .true.
          gaussbutton =.false.
          zonebutton = .false.
          return
        elseif (ich .eq. -3) then
          print *,' '
          print *,'Beginning Gaussian Fit...'
          print *,' '
          psbutton = .false.
          zoombutton = .false.
          gaussbutton =.true.
          zonebutton = .false.
          return
        elseif (ich .eq. -4) then
          print *,' '
          print *,'Changing ZONE'
          print *,' '
          psbutton = .false.
          zoombutton = .false.
          gaussbutton =.false.
          zonebutton = .true.
          return
        elseif (ich .eq. -1000) then
          print *,' '
          print *,'Returning to histogram menu...'
          print *,' '
          psbutton = .false.
          zoombutton = .false.
          return
        elseif (ich .eq. 0) then
          print *,' '
          print *,'You Clicked outside the menu, try again'
          print *,' '
          psbutton = .false.
          zoombutton = .false.
        else
          print *,'hec_online_hisbut error: ich is ',ich
          psbutton = .false.
          zoombutton = .false.
        endif
      enddo
c
        return
        end
